Description

We currently use foreman in a reporting only setup and send facts from the puppet masters.
Some hosts which are IPv6 only in our network don't display the ip address correctly - see screen shot.

Related issues:

Related to Foreman - Feature #2315: IPv6 Support Assigned 03/13/2013
Related to Foreman - Feature #14664: Add IPv6 Subnet to Host, Hostgroup and N... Closed 04/15/2016
History

#1 - 12/09/2014 09:40 PM - David LeVene
- Related to Feature #2315: IPv6 Support added

#2 - 12/10/2014 04:38 AM - Dominic Cleal

- Category changed from Web Interface to Importers

#3 - 01/26/2015 11:42 PM - David LeVene

Did a little bit of investigation into why this is happening, and the hosts table in the foreman database doesn't contain the correct information, so when
its creating the host from a report/facts its truncating the IP address at the : (educated guess)

hosts.ip = 2400
fact_values.value WHERE fact_name_id =2 (ipaddress in this databases case) gives the correct IP address.

| can see some IP processing happening in assets/javascripts/host_edit.js, which is IPv4 releated so that would probably destroy the IP - but not sure
if these functions are used/called.

Anyway, the facts coming in are correct, but the data mirrored in the hosts table is not which i believe is being done by something in the
services/fact_importer.rb file?

#4 - 01/27/2015 04:39 AM - Dominic Cleal

Does facter ipaddress show the IPv6 address then on v6-only hosts?

Foreman is just incapable of v6 support right now (partly because the tables are only meant to store v4 addresses, validation of addresses and lack of
smart proxy support).

It probably needs adding to the NIC model first (once #7456 is merged) as an additional attribute - so you have v4 and/or v6 addresses stored per
interface, then we can update the fact importer as you suggest to import the v6 address.

#5 - 02/01/2015 10:17 PM - David LeVene

Facter does only report the IPv6 address.
IPv6 Only host

1. facter | grep ip
ipaddress => 24xx:7DXX:XXXXXX
ipaddress6 => 24xx:70dXX:XXXXX
ipaddress6_eth0 => 24xx:7dxX:XXXXX
ipaddress_lo => 127.0.0.1

05/20/2024 12



https://projects.theforeman.org/issues/7456

as opposed to a server which has both ipv4 & 6

1. facter | grep ip
ipaddress => XXX.XX.XX.XX
ipaddress6 => 24xx:7dxXx:XXXx
ipaddress6_eth0 => 24xx:7dxx:XXXXX
ipaddress_eth0 => XXX.XX.XX.XX
ipaddress_lo => 127.0.0.1

#6 - 05/09/2016 10:29 AM - Timo Goebel
- Related to Feature #14664: Add IPv6 Subnet to Host, Hostgroup and Nic Models added
